> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/developer-docs/rest-api/api-reference/status-updates.md).

# Status Updates

## GET /status-updates

> Get status updates.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdate":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true},"subscribed":{"type":"boolean","readOnly":true},"affectedTeams":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/TeamRel"}}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}}}},"paths":{"/status-updates":{"get":{"tags":["Status Updates"],"summary":"Get status updates.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of status updates. (Note: when using ?include maximum is reduced to 25)","schema":{"maximum":100,"type":"integer","format":"int32","default":10}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (subscribed)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["subscribed"]}}},{"name":"states","in":"query","description":"status of the status update","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]}}},{"name":"services","in":"query","description":"service IDs of the status update's affected services","style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"from","in":"query","description":"from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime","schema":{"type":"string","format":"date-time"}},{"name":"until","in":"query","description":"until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"The status updates","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StatusUpdate"}}}}}}}}}}
```

## Create a new status update.

> Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdateNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"updatedAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}}}},"paths":{"/status-updates":{"post":{"tags":["Status Updates"],"summary":"Create a new status update.","description":"Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.","requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}},"required":true},"responses":{"200":{"description":"The newly created status update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}}}}}}}}
```

## Forecast the affected subscribers and status pages

> Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated status update.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdateNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"updatedAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}},"UIMenuItem":{"type":"object","properties":{"id":{"type":"number"},"label":{"type":"string"}}}}},"paths":{"/status-updates/publish-info":{"post":{"tags":["Status Updates"],"summary":"Forecast the affected subscribers and status pages","description":"Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated status update.","requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}},"required":true},"responses":{"200":{"description":"The forecast for the provided status update","content":{"application/json":{"schema":{"type":"object","properties":{"statusPagesInfo":{"$ref":"#/components/schemas/UIMenuItem"},"privateStatusPages":{"type":"number","readOnly":true},"publicStatusPages":{"type":"number","readOnly":true},"privateSubscribers":{"type":"number","readOnly":true},"publicSubscribers":{"type":"number","readOnly":true}}}}}}}}}}}
```

## Get a specific status update.

> Note: returns an ETag header that can be send to the PUT /status-updates/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the status update have been updated in the mean time.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdateWithHistory":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"history":{"type":"array","items":{"$ref":"#/components/schemas/StatusUpdateHistoryEntry"}},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true},"subscribed":{"type":"boolean","readOnly":true},"affectedTeams":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/TeamRel"}}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"StatusUpdateHistoryEntry":{"type":"object","properties":{"id":{"type":"string"},"content":{"type":"string"},"creator":{"$ref":"#/components/schemas/UserRel"},"incidentStatus":{"$ref":"#/components/schemas/StatusUpdateStatus"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time"}}},"UserRel":{"required":["id"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"}}},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}}}},"paths":{"/status-updates/{id}":{"get":{"tags":["Status Updates"],"summary":"Get a specific status update.","description":"Note: returns an ETag header that can be send to the PUT /status-updates/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the status update have been updated in the mean time.","parameters":[{"name":"id","in":"path","description":"the id of the status update","required":true,"schema":{"type":"number"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (subscribed, affectedTeams, history)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["subscribed","affectedTeams","history"]}}}],"responses":{"200":{"description":"The requested status update","headers":{"ETag":{"description":"Send to the PUT /status-updates/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the status update have been updated in the mean time.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateWithHistory"}}}}}}}}}
```

## Update the specific status update.

> Note: the update will be automatically appended to the status update's history and publish notifications to subscribers.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusUpdateNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/StatusUpdateStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"createdAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"updatedAt":{"type":"string","description":"May be overwritten during the creation of the incident, otherwise read-only","format":"date-time"},"affectedServices":{"type":"array","items":{"type":"object","properties":{"impact":{"$ref":"#/components/schemas/ServiceStatus"},"service":{"$ref":"#/components/schemas/ServiceNoIncludes"}}}},"resolvedOn":{"type":"string","format":"date-time","readOnly":true}}},"StatusUpdateStatus":{"type":"string","description":"the status update status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"managedBy":{"$ref":"#/components/schemas/ManagedBy"},"publicStatus":{"$ref":"#/components/schemas/ServiceStatus"},"labels":{"type":"object","additionalProperties":{"type":"string"},"description":"Free-form key-value labels assigned to this service."},"iconUrl":{"type":"string"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ServiceLink"}},"createdBy":{"$ref":"#/components/schemas/ManagedBy"}}},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ManagedBy":{"type":"object","readOnly":true,"description":"Present when this entity is managed outside of the ilert web app, for example through Terraform, Pulumi or the API. Read-only.","properties":{"type":{"type":"string","enum":["API","TERRAFORM","PULUMI","ILERT"]},"source":{"type":"string","description":"Identifier of the system managing this entity."}}},"ServiceLink":{"type":"object","properties":{"href":{"type":"string","format":"uri"},"text":{"type":"string"}}}}},"paths":{"/status-updates/{id}":{"put":{"tags":["Status Updates"],"summary":"Update the specific status update.","description":"Note: the update will be automatically appended to the status update's history and publish notifications to subscribers.","parameters":[{"name":"id","in":"path","description":"the id of the status update","required":true,"schema":{"type":"number"}},{"name":"If-Match","in":"header","description":"Should be the ETag response header retrieved from GET /status-updates/{id} to prevent updating the status update based on outdated information. Will return 412 status code in case of conflict.","schema":{"type":"string"}}],"requestBody":{"description":"the incident","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}},"required":true},"responses":{"200":{"description":"The updated status update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUpdateNoIncludes"}}}}}}}}}
```

## GET /status-updates/{id}/private-subscribers

> Get the subscribers (users and teams) of a status update

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/status-updates/{id}/private-subscribers":{"get":{"tags":["Status Updates"],"summary":"Get the subscribers (users and teams) of a status update","parameters":[{"name":"id","in":"path","description":"the id of the status update","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The subscribers of the status update","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}}}}}}}}
```

## POST /status-updates/{id}/private-subscribers

> Add subscribers (users and teams) to a status update

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.9-r.4"},"tags":[{"name":"Status Updates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/status-updates/{id}/private-subscribers":{"post":{"tags":["Status Updates"],"summary":"Add subscribers (users and teams) to a status update","parameters":[{"name":"id","in":"path","description":"the id of the status update","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"subscribers that should be added","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}},"required":true},"responses":{"204":{"description":"the response","content":{}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/status-updates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
